> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payvessel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Flights

> Search for available flights by route, date, and passenger count



## OpenAPI

````yaml api-reference/openapi.json POST /pms/api/external/request/flights/search/
openapi: 3.1.0
info:
  title: PayVessel API
  description: >-
    PayVessel API for accepting payments, sending money, verifying identities,
    and managing wallets
  version: 1.0.0
servers:
  - url: https://api.payvessel.com
  - url: https://sandbox.payvessel.com
security:
  - {}
paths:
  /pms/api/external/request/flights/search/:
    post:
      tags:
        - Flights
      summary: Search Flights
      description: >-
        Search for available flights by route, date, and passenger count.
        Supports OneWay, Return, and MultiDestination trips. Returns a list of
        flight options each with a `flightKey` to use in Select.
      operationId: flightSearch
      parameters:
        - name: api-key
          in: header
          description: Your PayVessel public API key
          required: true
          schema:
            type: string
        - name: api-secret
          in: header
          description: Your PayVessel API secret
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
            enum:
              - application/json
          example: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FlightSearchRequest'
            examples:
              oneWay:
                summary: One-way domestic flight
                value:
                  tripType: OneWay
                  origin: LOS
                  destination: ABV
                  departureDate: '2026-08-20'
                  adultCount: 1
                  childCount: 0
                  infantCount: 0
                  cabinClass: Economy
                  currencyCode: NGN
              return:
                summary: Return international flight
                value:
                  tripType: Return
                  origin: LOS
                  destination: LHR
                  departureDate: '2026-09-01'
                  returnDate: '2026-09-15'
                  adultCount: 2
                  childCount: 1
                  infantCount: 0
                  cabinClass: Economy
                  currencyCode: NGN
              multiDestination:
                summary: Multi-destination trip
                value:
                  tripType: MultiDestination
                  legs:
                    - origin: LOS
                      destination: DXB
                      departureDate: '2026-10-01'
                    - origin: DXB
                      destination: LHR
                      departureDate: '2026-10-05'
                    - origin: LHR
                      destination: LOS
                      departureDate: '2026-10-15'
                  adultCount: 1
                  cabinClass: Business
                  currencyCode: NGN
      responses:
        '200':
          description: Flight search completed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlightSearchResponse'
              examples:
                success:
                  summary: Available flights
                  value:
                    status: true
                    message: Flight search completed
                    data:
                      flights:
                        - flightKey: a1b2c3d4e5f6...
                          airline: Arik Air
                          flightNumber: W3 204
                          origin: LOS
                          destination: ABV
                          departureTime: '2026-08-20T06:30:00'
                          arrivalTime: '2026-08-20T07:45:00'
                          duration: 1h 15m
                          stops: 0
                          cabinClass: Economy
                          availableSeats: 12
                          price:
                            amount: 45000
                            currency: NGN
                            breakdown:
                              base: 38000
                              taxes: 7000
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden — flight booking access not enabled for this business
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Flight service temporarily unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    FlightSearchRequest:
      type: object
      required:
        - tripType
      properties:
        tripType:
          type: string
          enum:
            - OneWay
            - Return
            - MultiDestination
        origin:
          type: string
          maxLength: 3
          description: Required for OneWay/Return
        destination:
          type: string
          maxLength: 3
          description: Required for OneWay/Return
        departureDate:
          type: string
          format: date
          description: Required for OneWay/Return
        returnDate:
          type: string
          format: date
          description: Required for Return trips
        legs:
          type: array
          items:
            $ref: '#/components/schemas/FlightLeg'
          description: Required for MultiDestination
        adultCount:
          type: integer
          minimum: 1
          default: 1
        childCount:
          type: integer
          minimum: 0
          default: 0
        infantCount:
          type: integer
          minimum: 0
          default: 0
        cabinClass:
          type: string
          enum:
            - Economy
            - Business
            - FirstClass
          default: Economy
        preferredAirline:
          type: string
          maxLength: 3
          description: IATA airline code filter (optional)
        currencyCode:
          type: string
          default: NGN
    FlightSearchResponse:
      type: object
      properties:
        status:
          type: boolean
        message:
          type: string
        data:
          type: object
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    FlightLeg:
      type: object
      required:
        - origin
        - destination
        - departureDate
      properties:
        origin:
          type: string
          maxLength: 3
        destination:
          type: string
          maxLength: 3
        departureDate:
          type: string
          format: date

````